com.fasterxml.jackson.module.jaxb

## Class AdapterConverter

- java.lang.Object
- - com.fasterxml.jackson.databind.util.StdConverter<Object,Object>
  - - com.fasterxml.jackson.module.jaxb.AdapterConverter

All Implemented Interfaces:
  com.fasterxml.jackson.databind.util.Converter<Object,Object>

    public class AdapterConverter
    extends com.fasterxml.jackson.databind.util.StdConverter<Object,Object>

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.util.Converter

`com.fasterxml.jackson.databind.util.Converter.None`

### Field Summary

Fields
`protected XmlAdapter<Object,Object>` `_adapter`
`protected boolean` `_forSerialization`
`protected com.fasterxml.jackson.databind.JavaType` `_inputType`
`protected com.fasterxml.jackson.databind.JavaType` `_targetType`

### Constructor Summary

Constructors
Constructor and Description
`AdapterConverter(XmlAdapter<?,?> adapter, com.fasterxml.jackson.databind.JavaType inType, com.fasterxml.jackson.databind.JavaType outType, boolean ser)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `convert(Object value)`
`com.fasterxml.jackson.databind.JavaType` `getInputType(com.fasterxml.jackson.databind.type.TypeFactory typeFactory)`
`com.fasterxml.jackson.databind.JavaType` `getOutputType(com.fasterxml.jackson.databind.type.TypeFactory typeFactory)`

### Methods inherited from class com.fasterxml.jackson.databind.util.StdConverter

`_findConverterType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _inputType

    protected final com.fasterxml.jackson.databind.JavaType _inputType

#### _targetType

    protected final com.fasterxml.jackson.databind.JavaType _targetType

#### _adapter

    protected final XmlAdapter<Object,Object> _adapter

#### _forSerialization

    protected final boolean _forSerialization

### Constructor Detail

#### AdapterConverter

    public AdapterConverter(XmlAdapter<?,?> adapter,
                            com.fasterxml.jackson.databind.JavaType inType,
                            com.fasterxml.jackson.databind.JavaType outType,
                            boolean ser)

### Method Detail

#### convert

    public Object convert(Object value)

Specified by:
  `convert` in interface `com.fasterxml.jackson.databind.util.Converter<Object,Object>`
Specified by:
  `convert` in class `com.fasterxml.jackson.databind.util.StdConverter<Object,Object>`

#### getInputType

    public com.fasterxml.jackson.databind.JavaType getInputType(com.fasterxml.jackson.databind.type.TypeFactory typeFactory)

Specified by:
  `getInputType` in interface `com.fasterxml.jackson.databind.util.Converter<Object,Object>`
Overrides:
  `getInputType` in class `com.fasterxml.jackson.databind.util.StdConverter<Object,Object>`

#### getOutputType

    public com.fasterxml.jackson.databind.JavaType getOutputType(com.fasterxml.jackson.databind.type.TypeFactory typeFactory)

Specified by:
  `getOutputType` in interface `com.fasterxml.jackson.databind.util.Converter<Object,Object>`
Overrides:
  `getOutputType` in class `com.fasterxml.jackson.databind.util.StdConverter<Object,Object>`